List template tag groups
curl --request GET \
--url https://api.e2b.app/templates/{templateID}/tags/groups \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.e2b.app/templates/{templateID}/tags/groups"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.e2b.app/templates/{templateID}/tags/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.e2b.app/templates/{templateID}/tags/groups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.e2b.app/templates/{templateID}/tags/groups"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.e2b.app/templates/{templateID}/tags/groups")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.e2b.app/templates/{templateID}/tags/groups")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"tags": [
{
"tag": "<string>",
"assignments": [
{
"assignmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"buildId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assignedAt": "2023-11-07T05:31:56Z",
"buildCreatedAt": "2023-11-07T05:31:56Z",
"buildFinishedAt": "2023-11-07T05:31:56Z"
}
],
"hasMore": true
}
],
"nextCursor": "<string>"
}
Tags
List template tag groups
Lists the template’s tags that have at least one ready build, each with its most recent ready assignments, paginated over tags with a keyset cursor. Returns 404 when the template does not exist or belongs to another team.
GET
/
templates
/
{templateID}
/
tags
/
groups
List template tag groups
curl --request GET \
--url https://api.e2b.app/templates/{templateID}/tags/groups \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.e2b.app/templates/{templateID}/tags/groups"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.e2b.app/templates/{templateID}/tags/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.e2b.app/templates/{templateID}/tags/groups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.e2b.app/templates/{templateID}/tags/groups"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.e2b.app/templates/{templateID}/tags/groups")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.e2b.app/templates/{templateID}/tags/groups")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"tags": [
{
"tag": "<string>",
"assignments": [
{
"assignmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"buildId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assignedAt": "2023-11-07T05:31:56Z",
"buildCreatedAt": "2023-11-07T05:31:56Z",
"buildFinishedAt": "2023-11-07T05:31:56Z"
}
],
"hasMore": true
}
],
"nextCursor": "<string>"
}
Authorizations
Path Parameters
Query Parameters
Maximum number of ready assignment rows to return per tag.
Required range:
1 <= x <= 25Maximum number of distinct tags to return per page.
Required range:
1 <= x <= 100Cursor returned by the previous list response in {sort}|{latest_assigned_at}|{tag} format (sort-tagged, RFC3339Nano).
Substring filter on tag name. Allowed characters are a-z, 0-9, ., _, -.
Maximum string length:
64Pattern:
^[a-z0-9._-]*$Sort order for the returned tag groups.
Available options:
latest_desc, latest_asc, name_asc, name_desc Was this page helpful?